<%=
  component_wrapper do
    render(Primer::Box.new(pt: 3, pl: 3, pr: 3, classes: "outcome-container", border_radius: 2)) do
      grid_layout("op-meeting-outcome-notes", tag: :div, id: "outcome-#{@meeting_outcome.id}") do |grid|
        grid.with_area(:title, tag: :span, classes: "title") do
          render(Primer::Beta::Heading.new(tag: :h5)) { t(:label_agenda_outcome) }
        end

        grid.with_area(:content, tag: :div) do
          render(Primer::Box.new(classes: "op-uc-container", mt: 1)) do
            format_text(@meeting_outcome, :notes)
          end
        end

        grid.with_area(:actions, tag: :div, justify_self: :end, classes: "hide-when-print") do
          if edit_enabled?
            render(Primer::Alpha::ActionMenu.new) do |menu|
              menu.with_show_button(
                icon: "kebab-horizontal",
                "aria-label": t(:label_agenda_outcome_actions),
                scheme: :invisible,
                ml: 2,
                test_selector: "op-meeting-outcome-actions"
              )
              edit_action_item(menu)
              copy_action_item(menu)
              menu.with_divider
              delete_action_item(menu)
            end
          end
        end
      end
    end
  end
%>
